/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */
package com.qunzhixinxi.hnqz.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.entity.WmCro;
import com.qunzhixinxi.hnqz.admin.mapper.WmCroMapper;
import com.qunzhixinxi.hnqz.admin.service.WmCroService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * CRO管理
 *
 * @author Dhy
 * @date 2020-12-17 14:37:09
 */
@Service
@AllArgsConstructor
public class WmCroServiceImpl extends ServiceImpl<WmCroMapper, WmCro> implements WmCroService {
	private final WmCroMapper wmCroMapper;

	@Override
	public IPage<WmCro> selectCroList(Page page, WmCro wmCro) {

		OrderItem orderItem=new OrderItem();
		orderItem.setColumn("create_time");
		orderItem.setAsc(false);
		page.addOrder(orderItem);

		QueryWrapper queryWrapper= Wrappers.query();
		if(null!=wmCro.getQymc())
		{
			queryWrapper.like("qymc",wmCro.getQymc());
		}
		if(null!=wmCro.getTyshxydm())
		{
			queryWrapper.like("tyshxydm",wmCro.getTyshxydm());
		}

		return wmCroMapper.selectCroList(page, wmCro);
	}
}
